Runs
GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Paramètres de requête
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Corps de la réponse
results
array of object
Afficher les attributs enfants
results.id
string
obligatoire
results.approvalFlowId
string
obligatoire
results.organizationId
string
results.workspaceId
string
results.status
string
obligatoire
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Afficher les attributs enfants
results.invoker.type
string
obligatoire
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
obligatoire
ID of the entity that invoked the run.
results.tags
array of object
obligatoire
Afficher les attributs enfants
results.tags.key
string
obligatoire
results.tags.value
string
obligatoire
results.results
array of object
obligatoire
Afficher les attributs enfants
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Afficher les attributs enfants
results.results.reviewer.type
string
obligatoire
Possible values: user
results.results.reviewer.id
string
obligatoire
results.results.userId
string
results.results.result
string
obligatoire
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Corps de la réponse
id
string
obligatoire
approvalFlowId
string
obligatoire
organizationId
string
workspaceId
string
status
string
obligatoire
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Afficher les attributs enfants
invoker.type
string
obligatoire
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
obligatoire
ID of the entity that invoked the run.
tags
array of object
obligatoire
Afficher les attributs enfants
tags.key
string
obligatoire
tags.value
string
obligatoire
results
array of object
obligatoire
Afficher les attributs enfants
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Afficher les attributs enfants
results.reviewer.type
string
obligatoire
Possible values: user
results.reviewer.id
string
obligatoire
results.userId
string
results.result
string
obligatoire
Possible values: approved, rejected
results.comment
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'